const { app, BrowserWindow, Menu, dialog, ipcMain } = require('electron');
const path = require('path');

let mainWindow = null;  // 保持对当前窗口的引用

function createLoginWindow() {
    mainWindow = new BrowserWindow({
        width: 800,
        height: 600,
        icon: path.join(__dirname, 'icon.ico'), // 设置窗口图标
       
        title: "QQ价格估值",  // 设置你想要的启动时标题
        webPreferences: {
            preload: path.join(__dirname, 'preload.js'),
            nodeIntegration: true,
            contextIsolation: false  // 注意这里的安全配置，根据实际需求配置
        }
    });



    Menu.setApplicationMenu(null);
    mainWindow.loadFile('index.html');

    // 激活成功时，打开新窗口并关闭旧窗口
    ipcMain.on('activate-success', () => {
        createMainAppWindow();
    });
}

function createMainAppWindow() {
    const secondaryWindow = new BrowserWindow({
        width: 1300,
        height: 850,
        icon: path.join(__dirname, 'icon.ico'), // 设置窗口图标
        
        title: "QQ价格查询"
    });

 
    secondaryWindow.loadFile('qqcx.html');

    // 关闭旧的登录窗口
    if (mainWindow) {
        mainWindow.close();
        mainWindow = null;
    }
}

ipcMain.on('get-user-data-path', (event) => {
    event.returnValue = app.getPath('home'); 
});

ipcMain.on('show-alert', (event, message) => {
    dialog.showMessageBox(mainWindow, {
        type: 'info',
        title: '激活提示',
        message: message,
        buttons: ['OK']
    });
});

app.whenReady().then(createLoginWindow);

app.on('window-all-closed', () => {
    if (process.platform !== 'darwin') {
        app.quit();
    }
});

app.on('activate', () => {
    if (!mainWindow) {
        createLoginWindow();
    }
});
