

document.addEventListener('DOMContentLoaded', function() {
 
   // 检查元素是否存在
  const iconContainer = document.getElementById('user-levelIcons');
  console.log("Element found:", iconContainer);

  // 使用 document.getElementById 来获取按钮的引用
  const evaluateButton = document.getElementById('evaluateButton');

  // 给按钮添加点击事件处理函数
  evaluateButton.addEventListener('click', function() {
    evaluateQQ(); // 当按钮被点击时，调用评估函数
  });
});

function updateVipStatus(data) {
const iVip = parseInt(data.vip_info.iVip, 10);         // 将字符串转换为数字
const iSVip = parseInt(data.vip_info.iSVip, 10);
const iYearVip = parseInt(data.vip_info.iYearVip, 10);
    const iVipLevel = data.vip_info.iVipLevel ; // VIP等级

    let vipStatus = '未知'; // 默认为未知，适用于 iVip 不为 1 的情况

    if (iVip === 1) {
        if (iSVip === 1 && iYearVip === 1) {
            // 年费超级VIP
            vipStatus = `年SVIP${iVipLevel}`;
        } else if (iSVip === 1 && iYearVip === 0) {
            // 超级VIP
            vipStatus = `SVIP${iVipLevel}`;
        } else if (iSVip === 0 && iYearVip === 0) {
            // 普通VIP
            vipStatus = `VIP${iVipLevel}`;
        }
    }

    // 更新页面元素
    document.getElementById('user-vip-status').textContent = vipStatus;
}
function evaluateQQ() {
  const qqNumber = document.getElementById('qqNumber').value;
  const activationCode = readActivationCode();

  // 打印发送到后端的数据
  console.log("Sending data to server:", {
    keyword: qqNumber,
    activation_code: activationCode
  });

  // 使用 URLSearchParams 来发送 application/x-www-form-urlencoded 格式的数据
  let params = new URLSearchParams();
  params.append('keyword', qqNumber);
  params.append('activation_code', activationCode);

  fetch('接口地址', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded' // 修改头部以匹配发送的数据类型
    },
    body: params.toString() // 使用 params.toString() 来获取查询字符串
  })
  .then(response => {
    if (response.ok) {
      return response.json(); // 尝试将响应转换为 JSON
    }
    throw new Error('Network response was not ok.');
  })
  .then(data => {
    console.log('Success:', data); // 打印接收的数据
    
    // 更新页面上的用户信息
    document.getElementById('user-uin').textContent = data.buddy_info.uin|| '未知';
    document.getElementById('user-nick').textContent = data.buddy_info.nick|| '未知';
    // 假设 gender 的值为 1 表示男性，255 表示未知，其他情况为女性
    document.getElementById('user-gender').innerHTML = data.buddy_info.gender === 1 ? '男' : (data.buddy_info.gender === 255 ? '未知' : '女');
    document.getElementById('user-age').textContent = data.buddy_info.age|| '未知';

  // 更新国家、省份、城市信息，如果省份或城市为空，则显示“未知”
  document.getElementById('user-country').textContent = data.buddy_info.country || '在火星';
  document.getElementById('user-province').textContent = data.buddy_info.province || '未知';
  document.getElementById('user-city').textContent = data.buddy_info.city || '未知';

  document.getElementById('user-url').src = data.buddy_info.url;


    document.getElementById('user-iQQLevel').textContent = data.vip_info.iQQLevel || '未知';

    updateVipStatus(data);

    
        document.getElementById('user-iNextLevelDay').textContent = data.vip_info.iNextLevelDay || '未知';
        document.getElementById('user-iTotalActiveDay').textContent = "您的QQ已经陪伴你 " + (data.vip_info.iTotalActiveDay|| '99999')  + " 天啦";

document.getElementById('user-registration_date').textContent = "您的QQ于 " + (data.digit_counts.registration_date ||  "1997年3月21日") + " 注册"  ;

  // 在添加新数据之前，清空 tbody 中的现有行
  const countsTableBody = document.getElementById('counts-table').getElementsByTagName('tbody')[0];
  countsTableBody.innerHTML = ''; // 清空 tbody

  // 然后，像之前一样遍历 counts 数组并填充表格
  data.digit_counts.counts.forEach(count => {
    let row = countsTableBody.insertRow();
    row.insertCell(0).textContent = count.zh; // QQ号码
    
    // 插入号码类型描述，并根据描述设置样式
    let typeCell = row.insertCell(1);
    typeCell.textContent = count.zhCount; // 号码类型描述

    // 检查号码类型描述，并设置样式
    if (count.zhCount === '豹子号' || 
        count.zhCount === '顺子号' || 
        count.zhCount.indexOf('AAAABBBB类型') === 0 || 
        count.zhCount.indexOf('AAABBB类型') === 0 || 
        count.zhCount.indexOf('AABB类型') === 0 || 
        count.zhCount.indexOf('5位靓号') === 0 || 
        count.zhCount.indexOf('6位靓号') === 0 || 
        count.zhCount.indexOf('7位靓号') === 0 || 
        count.zhCount.indexOf('8位靓号') === 0) {
      typeCell.style.fontWeight = 'bold'; // 字体加粗
      typeCell.style.fontSize = '1.2em';  // 字体大小设置为默认大小的1.2倍
      typeCell.style.color = 'red';       // 字体颜色设置为红色
    }

    row.insertCell(2).textContent = count.zhNum; // 分析数字
    // 插入金额，根据价格是否大于0，设置样式
    let priceCell = row.insertCell(3);
    priceCell.textContent = count.price + " ¥"; // 金额

    // 检查价格是否大于0，如果是，则设置样式
    if (count.price > 0) {
      priceCell.style.fontWeight = 'bold'; // 字体加粗
      priceCell.style.color = 'red';       // 字体颜色设置为红色
      priceCell.style.fontSize = '1.2em';  // 字体大小设置为默认大小的1.2倍
    }

  });

        document.getElementById('user-totalPrice').textContent = "您的QQ最终估价: " +data.digit_counts.totalPrice+ " ¥" || '未知';


        document.getElementById('user-levelLink').src = data.digit_counts.levelLink;


  // 定义每种图标对应的等级区间
  const iconLevels = {
    crown: 64,
    sun: 16,
    moon: 4,
    star: 1
  };

  // 根据 QQ 等级动态显示多个图标
  let level = data.vip_info.iQQLevel || 0;
  const iconContainer = document.getElementById('user-levelIcons'); // 显示图标的容器元素的 ID
  iconContainer.innerHTML = ''; // 清空当前的图标

  // 遍历图标类型，从高到低计算每种图标的数量
  for (const iconType in iconLevels) {
    const iconLevel = iconLevels[iconType];
    const iconUrl = `http://bz66380.oss-cn-shenzhen.aliyuncs.com/qqcx/${iconType}.png`; // 图标 URL
    let count = Math.floor(level / iconLevel);

    // 减少已经计算过的等级部分
    level -= count * iconLevel;

    // 添加相应数量的图标到容器
    for (let i = 0; i < count; i++) {
      let img = document.createElement('img');
      img.src = iconUrl;
      img.alt = iconType + ' Icon';
      img.style.height = '24px'; // 图标大小
      iconContainer.appendChild(img); // 添加图标到容器
    }

    // 如果等级已经完全由当前类型的图标表示，则不需要继续循环
    if (level === 0) {
      break;
    }
  }
        
  })
  .catch(error => {
    console.error('Error:', error);
  });
}

// readActivationCode 函数直接返回默认激活码
function readActivationCode() {
  // 直接返回默认激活码
  return '123456';
}